## org.beepcore.beep.core
Class StartChannelException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.beepcore.beep.core.BEEPException
                  org.beepcore.beep.core.BEEPError
                      org.beepcore.beep.core.StartChannelException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  TuningResetException

public class StartChannelException
extends BEEPError

A subclass of BEEPError designed to return information about the errors associated with a close channel request. Call `getCode` and `getMessage` to retrieve error info ;)

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.beepcore.beep.core.BEEPError

`CODE_ACTION_NOT_AUTHORIZED, CODE_AUTHENTICATION_FAILURE, CODE_AUTHENTICATION_INSUFFICIENT, CODE_AUTHENTICATION_REQUIRED, CODE_AUTHENTICATION_REQUIRES_ENCRYPTION, CODE_GENERAL_SYNTAX_ERROR, CODE_PARAMETER_ERROR, CODE_PARAMETER_INVALID, CODE_PARAMETER_NOT_IMPLEMENTED, CODE_REQUESTED_ACTION_ABORTED, CODE_REQUESTED_ACTION_NOT_TAKEN, CODE_REQUESTED_ACTION_NOT_TAKEN2, CODE_SERVICE_NOT_AVAILABLE, CODE_SUCCESS, CODE_TEMPORARY_AUTHENTICATION_FAILURE, CODE_TRANSACTION_FAILED`

Constructor Summary
`StartChannelException(int code)` Constructor StartChannelException
`StartChannelException(int code, java.lang.String diagnostic)` Constructor StartChannelException
`StartChannelException(int code, java.lang.String diagnostic, java.lang.String xmlLang)` Constructor StartChannelException

Methods inherited from class org.beepcore.beep.core.BEEPError
`convertMessageERRToException, createErrorMessage, createErrorMessage, createErrorMessage, getCode, getDiagnostic, getXMLLang`

Methods inherited from class org.beepcore.beep.core.BEEPException
`getCause, getLocalizedMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StartChannelException

    public StartChannelException(int code,
                                 java.lang.String diagnostic,
                                 java.lang.String xmlLang)

  Constructor StartChannelException

Parameters:
  `code` -
  `diagnostic` -
  `xmlLang` -

### StartChannelException

    public StartChannelException(int code,
                                 java.lang.String diagnostic)

  Constructor StartChannelException

Parameters:
  `code` -
  `diagnostic` -

### StartChannelException

    public StartChannelException(int code)

  Constructor StartChannelException

Parameters:
  `code` -

Copyright ? 2001 Invisible Worlds, Inc. All Rights Reserved.